=== debian/changelog ===
kbibtex (0.9.90-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fixes for crashes with newer Qt versions.
    (Closes: #1018922)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Feb 2023 18:22:51 +0200

kbibtex (0.9.90-1) unstable; urgency=medium

  * New upstream release:
    - since we use the release tarballs now, the translations are available
      (Closes: #911523)
  * Add myself to Uploaders.
  * Update the patches:
    - upstream_cmake-use-the-right-variable-for-man-page-install-de.patch:
      drop, backported from upstream
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jan 2021 01:04:01 +0100

kbibtex (0.9.81-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Follow a hint of Rik Mills and rather Build-Depend: qtwebengine5-dev

  [ Pino Toscano ]
  * Switch watch file to track the official tarballs, rather than random tags
    on the GitHub mirror.
  * Drop our own debian/missing-sources/COPYING-CMAKE-SCRIPTS and the reference
    to it in debian/copyright, as this file is no more referenced by upstream
    sources.
  * Stop rebuilding the application icon: upstream ships already proper icons,
    and more sized can be asked to be shipped in case they are needed
    - drop the imagemagick, inkscape, and librsvg2-bin build dependencies,
      no more needed now
  * Drop all the manual handling of build flags, as everything is properly
    handled already since debhelper compatibility 9.
  * Drop all the development files, i.e. cmake config files and headers, in
    addition to .so symlinks.
  * Install the missing files.
  * Unregister the old /etc/xdg/kbibtexrc conffile.
  * Stop passing --list-missing to dh_missing, as everything is installed now.
  * Drop the 'run' autopkgtest:
    - never passed (at least in the last 3 years)
    - too fragile to maintain
    - it does not test anything much of use
  * Reference the actual upstream Git repository in debian/upstream/metadata.
  * Use the kf5 dh addon, so common bits for KF5-based applications (e.g. not
    compressing the DocBook documentation) are applied.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the wrong Multi-Arch: foreign field from kbibtex, as it is hardly a
    "tool" for other architectures.
  * Update and simplify the lintian overrides.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.7.2
    - bump the Qt packages to 5.9.0
    - bump the KF packages to 5.51.0
    - explicitly add gettext, libicu-dev, pkg-config, and shared-mime-info
    - remove the unused/unneeded qtbase5-dev-tools, libkf5itemviews-dev,
      libkf5completion-dev, libqca-qt5-2-dev, and libxslt1-dev
  * The unit tests still fail, so disable their build by passing
    -DBUILD_TESTING=OFF to cmake.
  * Do not export DH_VERBOSE=1, as there is no need to get a really verbose
    build log by default.
  * Restrict the qtwebengine5-dev build dependency to the architectures where
    it is present, using libqt5webkit5-dev on any other architecture.
  * Backport upstream commit 40d3149cfaf5c3b1f3b1110617d291eb332d76f3 to fix
    the installation of the man page; patch
    upstream_cmake-use-the-right-variable-for-man-page-install-de.patch
    - update debian/kbibtex-data.install
    - drop debian/kbibtex-data.manpages, no more needed now

 -- Pino Toscano <pino@debian.org>  Tue, 15 Dec 2020 18:22:08 +0100

kbibtex (0.9.81-1) unstable; urgency=medium

  [ Bastien Roucariès ]
  * New upstream version
  * Bug fix: "build-depends on deprecated Frameworks -dev packages",
    thanks to Pino Toscano (Closes: #885388).
  * Bug fix: "Allow reference to be imported from worldcat", thanks to
    Bastien ROUCARIES (Closes: #507987).
  * Bug fix: "Include international reference libraries as search
    engines", thanks to Axel Stammler (Closes: #776750).
  * Bug fix: "FTBFS with clang instead of gcc", thanks to Alexander
    (Closes: #753270).

  [ Andreas Tille ]
  * d/watch: drop unneeded uupdate since it spoils routine-update
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Build-Depends: libkf5texteditor-dev, libqt5webenginewidgets5,
    libqt5networkauth5-dev
  * There is no /etc dir any more
  * Fix installation of manpage

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 10:36:16 +0100
