=== debian/control ===
Source: kbibtex
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <rouca@debian.org>,
           Pino Toscano <pino@debian.org>,
Section: kde
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.7.2~),
               extra-cmake-modules (>= 5.51.0~),
               gettext,
               qtbase5-dev (>= 5.9.0~),
               libicu-dev,
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5xmlgui-dev (>= 5.51.0~),
               libkf5kio-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5parts-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libkf5wallet-dev (>= 5.51.0~),
               libkf5crash-dev (>= 5.51.0~),
               libkf5texteditor-dev (>= 5.51.0~),
               libqt5xmlpatterns5-dev (>= 5.9.0~),
               qtwebengine5-dev (>= 5.9.0~) [amd64 arm64 armhf i386 mipsel],
               libqt5webkit5-dev (>= 5.9.0~) [!amd64 !arm64 !armhf !i386 !mipsel],
               libqt5networkauth5-dev (>= 5.9.0~),
               libpoppler-qt5-dev,
               pkg-config,
               pkg-kde-tools,
               shared-mime-info,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/kbibtex
Vcs-Git: https://salsa.debian.org/science-team/kbibtex.git
Homepage: https://userbase.kde.org/KBibTeX
Rules-Requires-Root: no

Package: kbibtex
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         kbibtex-data (= ${source:Version})
Recommends: texlive-bibtex-extra,
            biber
Suggests: texlive-latex-base,
          bibtex2html,
          latex2rtf
Description: BibTeX editor for KDE
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online resources (e.g. Google scholar) via customizable
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a
 number of citation styles.

Package: kbibtex-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: texlive-bibtex-extra
Breaks: kbibtex (<< 0.6+git7fdc0cd97c093f-1~)
Replaces: kbibtex (<< 0.6+git7fdc0cd97c093f-1~)
Description: BibTeX editor for KDE -- common data
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online resources (e.g. Google scholar) via customizable
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a
 number of citation styles.
 .
 This package include common data needed by kbibtex binaries.
