=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT:=5

# one ring to rule them all ...
%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove all the development files
	find debian/tmp -name '*.so' -type l -delete
	rm -rf debian/tmp/usr/lib/*/cmake/
	rm -rf debian/tmp/usr/include/

override_dh_auto_test:
	# the unit tests fail ATM
	:
