## kbibtex 0.10.0

=== config/CMakeLists.txt ===
install(
    FILES
    bibtex.kbstyle
    biblatex.kbstyle
    jabref_journalabbrevlist.txt
    DESTINATION
    ${KDE_INSTALL_DATADIR}/kbibtex
)
