=== xslt/CMakeLists.txt ===
install(
    FILES
    fancy.xsl
    standard.xsl
    abstractonly.xsl
    arxiv2bibtex.xsl
    pubmed2bibtex.xsl
    pam2bibtex.xsl
    isbndb2bibtex.xsl
    ieeexploreapiv1-to-bibtex.xsl
    wikipedia-cite.xsl
    worldcatdc2bibtex.xsl
    DESTINATION
    ${KDE_INSTALL_DATADIR}/kbibtex
)
