=== debian/changelog ===
kbibtex (0.10.0-0xneon+22.04+jammy+release+build8) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 May 2023 05:04:24 +0000

kbibtex (0.10.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 19 Mar 2023 11:26:07 +0000

kbibtex (0.9.3.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 05 Mar 2023 11:26:07 +0000

kbibtex (0.9.3.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Jan 2023 11:26:07 +0000

kbibtex (0.9.2-0neon) focal; urgency=medium

  * New release

 -- Harald Sitter <sitter@kde.org>  Tue, 22 Sep 2020 15:00:26 +0200

kbibtex (0.9-0neon) focal; urgency=medium

  * KF5 package

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 15 Jun 2017 16:31:23 +0100
