=== debian/control ===
Source: kbibtex
Section: kde
Priority: optional
Uploaders: Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Build-Depends: cmake (>= 2.6~),
               debhelper (>= 7.0.50~),
               extra-cmake-modules,
               libkf5completion-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5syntaxhighlighting-dev,
               libkf5texteditor-dev,
               libkf5wallet-dev,
               libkf5xmlgui-dev,
               libpoppler-qt5-dev,
               libqca-qt5-2-dev,
               libqt5networkauth5-dev,
               libqt5webkit5-dev,
               libqt5xmlpatterns5-dev,
               libxslt1-dev,
               qtbase5-dev,
               qtwebengine5-dev
Standards-Version: 3.9.2
Homepage: http://www.unix-ag.uni-kl.de/~fischer/kbibtex
XS-DM-Upload-Allowed: yes
Vcs-Git: https://invent.kde.org/neon/forks/kbibtex.git
Vcs-Browser: https://invent.kde.org/neon/forks/kbibtex
Maintainer: Neon CI <neon@kde.org>

Package: kbibtex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: bibtex2html, latex2rtf, texlive-latex-base | tetex-extra
Recommends: texlive-bibtex-extra
Description: BibTeX editor for KDE
 An application to manage bibliography databases in the BibTeX format. KBibTeX
 can be used as a standalone program, but can also be embedded into other KDE
 applications (e.g. as bibliography editor into Kile).
 .
 KBibTeX can query online resources (e.g. Google scholar) via customizable
 search URLs. It is also able to import complete datasets from NCBI Pubmed.
 It also supports tagging references with keywords and manages references to
 local files.
 .
 BibTeX files can be exported into HTML, XML, PDF, PS and RTF format using a
 number of citation styles.
