=== debian/rules ===
#!/usr/bin/make -f

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_test:
	#Disable dh_auto_test at build time
	:
