=== debian/watch ===
version=4
http://download.kde.org/stable/KBibTeX/([\d\.]+)/kbibtex-([\d\.]+).tar.xz
