## kbibtex 0.10.0+p24.04+vstable+git20250921.0627

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20250921.0627-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:27:33 +0000

kbibtex (0.10.0-2) unstable; urgency=medium

  * Drop the spurious RUNPATH to /usr/ in libraries and executables
    - add the chrpath build dependency
  * Update copyright.
  * Update lintian overrides.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 09:47:53 +0200

kbibtex (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Drop the breaks/replaces for versions older than Debian Buster.
  * Switch watch file to the stable releases, now that 0.10.0 is released.
  * Update standards version to 4.6.2, no changes needed.
  * Update the patches:
    - 0001-Fix-crash-with-newer-Qt-versions.patch: drop, backported from
      upstream
    - 0001-Fixing-crash-when-opening-.bib-file.patch: drop, backported from
      upstream
  * Drop the qtwebengine5-dev on mipsel, as that architecture was recently
    dropped.
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Mon, 04 Sep 2023 07:12:17 +0200
