## kbibtex 0.10.0+p24.04+vstable+git20250927.0404

=== debian/changelog ===
kbibtex (0.10.0+p24.04+vstable+git20250927.0404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 27 Sep 2025 04:04:32 +0000
